# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Queue	      	   		= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Queue_Control
include                         $(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Queue_LIBRARY			= 	-lQueue	\
                                        $(Queue_Control_LIBRARY)\
					$(Behavioural_LIBRARY)	

Queue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Queue/lib	\
                                        $(Queue_Control_DIR_LIBRARY)\
					$(Behavioural_DIR_LIBRARY)

Queue_DEPENDENCIES		=	Queue_Control_library	\
					Behavioural_library

Queue_CLEAN        		=	Queue_Control_library_clean	\
					Behavioural_library_clean

#-----[ Rules ]--------------------------------------------

#.NOTPARALLEL			: Queue_library Queue_library_clean

Queue_library			: $(Queue_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile;

Queue_library_clean		: $(Queue_CLEAN)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue --makefile=Makefile clean;
